From 50e339cdf8633c7be8e924fb1727812464a2b6a2 Mon Sep 17 00:00:00 2001
From: NightMachinery <feraidoonmehri@gmail.com>
Date: Tue, 16 May 2023 20:48:42 +0330
Subject: [PATCH] lisp/org/ol.el: org-link-make-description-function is always
 applied

* lisp/org/ol.el (org-insert-link): org-link-make-description-function is always applied to the description.
---
 lisp/org/ol.el | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/lisp/org/ol.el b/lisp/org/ol.el
index 9ad191c8f78..5c98366ea84 100644
--- a/lisp/org/ol.el
+++ b/lisp/org/ol.el
@@ -1978,15 +1978,18 @@ Use TAB to complete link prefixes, then RET for type-specific completion support
                    (message "Can't get link description from org link parameter `:insert-description': %S"
                             def)
                    (sit-for 2)
-                   nil))))
+                   nil))))))
+           (initial-input
+            (cond
              (org-link-make-description-function
               (condition-case nil
-                  (funcall org-link-make-description-function link desc)
+                  (funcall org-link-make-description-function link initial-input)
                 (error
                  (message "Can't get link description from %S"
                           org-link-make-description-function)
                  (sit-for 2)
-                 nil))))))
+                 nil)))
+             (t initial-input))))
       (setq desc (if (called-interactively-p 'any)
                      (read-string "Description: " initial-input)
                    initial-input)))
-- 
2.39.0

